#ifndef _STARTFRAME_
#define _STARTFRAME_

#include "wx.h"
#include "wx_timer.h"

class MyTimer: public wxTimer
{
 public:
  void Notify(void);
};


class StartFrame: public wxFrame
{
    MyTimer   *timer;
    wxSlider  *slider;
    Bool       timer_on;
    wxMenuBar *menu_bar;

  public:
    StartFrame();
    Bool OnClose(void);
    void OnMenuCommand(int id);
    static void OnTimerChange(wxSlider &slider, wxCommandEvent& event);

};

void OnTimerEvent();

#define START_QUIT       100
#define START_TIMER_ON   101
#define START_TIMER_OFF  102


#endif









