#ifndef _LOCATION_H
#define _LOCATION_H

/* This class defines the concepts of a Location in a coordinate system
   where the (0,0) position is in the upper left-hand corner. The x-axis
   extends in a positive direction to the right and the y-axis extends in
   a positive direction towards the bottom of the screen.
*/

class Frame;

class Location {			 // Version 1
private:  

     int  currentX, currentY;

public:

	Location(int x, int y);	        // specific location
        Location();			// default location
     int Xcoord();       		// return x-axis coordinate
     int Ycoord();        		// return y-axis coordinate
};

#endif




