#include "Frame.h"
#include "PrimMsg.h"

Frame window("Message Test", Location(100,100), Shape(200,200));
PrimitiveMessage greeting("Hello World");
Location greetingLocation(20,50);
int onoff;

void OnStart(){
   window.Clear();
   window.DrawText(greeting.GetText(), greetingLocation);
   onoff=1;
};

void OnTimerEvent() {
	if (onoff == 1) 
	{ Shape greetingShape = window.TextSize(greeting.GetText());
	  window.Clear(greetingLocation, greetingShape);
	  onoff = 0;
	}
	else
	{ window.DrawText(greeting.GetText(), greetingLocation);
	  onoff = 1;
	}
};

void OnPaint() {
	if (onoff == 1)
	   window.DrawText(greeting.GetText(), greetingLocation);
};

void OnMouseEvent(char* frameName, int x, int y, int buttonState) {
}
