
#include "wx.h"
#include "File.h"
#include "FlNavgat.h"


FileNavigator::FileNavigator(char* path, char* filter) {
   thisPath = copystring(path);
   thisFilter = copystring(filter);
 }

FileNavigator::FileNavigator(char* path) {
   thisPath = copystring(path);
   thisFilter = "*";
 }

FileNavigator::FileNavigator() {
   thisPath = copystring(wxGetWorkingDirectory());
   thisFilter = "*";
 }

FileNavigator::~FileNavigator() {}

File FileNavigator::AskUser () {
   char* fileName = wxFileSelector("Select File Name.", thisPath, NULL,
                                   NULL, thisFilter);
   return File(fileName);
 }
