
#include "wx.h"
#include "FlQuery.h"

void FileQuery::makeMsg(char* p, char* f) {     // concatenate p and f in msg
   strcpy(msg, p);
   strcat(msg, "/");
   strcat(msg, f);
}

FileQuery::FileQuery(char* path, char* filter) {
   makeMsg(path, filter); }

FileQuery::FileQuery(char* path) {
   makeMsg(path, "*.*"); }

FileQuery::FileQuery() {
   makeMsg(wxGetWorkingDirectory(), "*.*"); }

FileQuery::~FileQuery() {}

File FileQuery::AskUser() {
   char* fileName = wxGetTextFromUser(msg, "Enter File Name.");
   return File(fileName);
}
