#ifndef _FRAMEMGR_
#define _FRAMEMGR_

#include "Frame.h"

typedef Frame *(FrameArray);

class FrameManager {
private:
	FrameArray *frames;
	int last;
	int maxFrames;

public:
	FrameManager(int maxFrames = 10);
	void Add(Frame& frame);
	void Add(Frame* frame);
	Frame* FindByName(char* frameName);
	void Remove(Frame& frame);
	void Remove(Frame* frame);
	~FrameManager();

};

#endif