#ifndef _RECTANGLE_FACTORY_
#define _RECTANGLE_FACTORY_

#include "Rectangle3.h"
#include "Shape.h"
#include "Location.h"


class RectangleFactory
{
private:
	Shape commonShape;

public:
	RectangleFactory(Shape shapeForAll);
	Rectangle3* New(Location loc);
	~RectangleFactory();
};

#endif