#include "Program.h"
#include "Frame.h"
#include "Canvas.h"
#include "Location.h"
#include "Shape.h"
#include "Rectangle1.h"

Frame   window   ("Rectangle Test", Location(100,100), 
				                    Shape(300,300));
Canvas  canvas   (window, "Rectangle Area", Location(10,10), 
				                            Shape(280,280));

Rectangle1 rectangle(Location(10,10), Shape(50,50));

int xloc = 35;
int yloc = 35;

void OnStart() {
   canvas.Clear();
   rectangle.Draw(canvas);
}

void OnMouseEvent(char *canvasName, int x, int y, int buttonState){
  if (buttonState & leftButtonDown) {
	  rectangle.Clear(canvas);
	  if (xloc-25 < x && x < xloc+25)
	  {
		       if (y < yloc-25) { rectangle.MoveUp(5);
	                              yloc = yloc - 5; }
	      else if (y > yloc+25) { rectangle.MoveDown(5);
		                          yloc = yloc + 5; }
	  }
	  if (yloc-25 < y && y < yloc+25)
	  {
		       if (x < xloc-25) { rectangle.MoveLeft(5);
		                          xloc = xloc - 5; }
		  else if (x > xloc+25) { rectangle.MoveRight(5);
		                          xloc = xloc + 5; }
	  }
	  
  }
  rectangle.Draw(canvas);

}

void OnTimerEvent(char* clockName) 
{
}

void OnPaint() {
   rectangle.Draw(canvas);
}          

void OnPush(char* buttonName) {
  
}
