
#include "BscFrame.h"
#include "Frame.h"
#include "Base.h"
#include "Program.h"


// BasicFrame class

void BasicFrame::CreateBasicFrame(Frame *fr) {
       wxMenu* fileMenu = new wxMenu;
       fileMenu->Append(BASIC_FRAME_QUIT, "Quit");
       wxMenuBar* menuBar = new wxMenuBar;
       menuBar->Append(fileMenu, "File");
       this->SetMenuBar(menuBar);

}
BasicFrame::BasicFrame( char* title, int x, int y, int w, int h, 
                        Frame* fr ) :
       wxFrame(NULL, title, x, y, w, h) 
{
      
       CreateBasicFrame(fr);
}

BasicFrame::BasicFrame( char* title, Frame* fr ) :       
       wxFrame(NULL, title, -1, -1, -1, -1) 
{
       CreateBasicFrame(fr);

}

void BasicFrame::OnMenuCommand(int id) {
       switch(id) {
         case BASIC_FRAME_QUIT:
             //  if (frame) frame->OnQuit();
               delete this;
               break;
	}
}


Bool BasicFrame::OnClose() { return TRUE; }

// BasicTextFrame class

void BasicTextFrame::CreateBasicFrame(TextFrame *fr) {
       frame = fr; 
       wxMenu* fileMenu = new wxMenu;
       fileMenu->Append(BASIC_FRAME_QUIT, "Quit");
       wxMenuBar* menuBar = new wxMenuBar;
       menuBar->Append(fileMenu, "File");
       this->SetMenuBar(menuBar);

       int width, height;
       GetClientSize(&width, &height);
       textWindow = new wxTextWindow(this, 0, 0, width, height );
}

BasicTextFrame::BasicTextFrame( char* title, int x, int y, int w, int h, 
                        TextFrame* fr) :
       wxFrame(NULL, title, x, y, w, h) 
{
      
       CreateBasicFrame(fr);
}

BasicTextFrame::BasicTextFrame( char* title, TextFrame* fr ) :       
       wxFrame(NULL, title, -1, -1, -1, -1) 
{
       CreateBasicFrame(fr);

}

void BasicTextFrame::OnMenuCommand(int id) {
       switch(id) {
         case BASIC_FRAME_QUIT:
             //  if (frame) frame->OnQuit();
               delete this;
               break;
	}
}


Bool BasicTextFrame::OnClose() { return TRUE; }





