
#include "wx.h"
#include "BscFrame.h"
#include "File.h"
#include "Frame.h"
#include <fstream.h>


File::File(char* fileName) { name = copystring(fileName); }

File::File() { name = (char*)0; }

char* File::Name() { return copystring(name); }

int File::Exists() { return wxFileExists(name); }

void File::SearchFor(Query& q) {
  ifstream file(name);
  char buffer[100]; char c;
  char *text = q.GetSearch();
  do {
   file.get(buffer, 100);
   if (StringMatch(text, buffer)) { q.SetResult(buffer);
                                    return;
				  }
   file.get(c);
  } while(!file.eof() && !file.fail());
  
}

void File::View() {
   wxFrame* frame = new wxFrame ((wxFrame*)0, name, 100, 100, 200, 300);
   frame->Show(TRUE);
   wxTextWindow* textWindow = new wxTextWindow(frame, 1, 1, 200, 300, 0,name);
   textWindow->LoadFile(name);
}

void File::Edit(char* editor) {
   char command[200];
   strcpy(command, editor);
   strcat(command, " ");
   strcat(command, name);
   wxExecute(command);
}

void File::Delete() {
   wxRemoveFile(name);
   name = (char*)0;
}

void File::CopyTo(File& other) {
  wxCopyFile(name, other.name);
}

void File::CopyFrom(File& other) {
  wxCopyFile(other.name, name);
};

File::~File() {}


   
   
