#ifndef _PROGRAM_H
#define _PROGRAM_H

enum MouseState { leftButtonDown   = 1,
                  rightButtonDown  = 2,
                  middleButtonDown = 4,
                  isDragging       = 8 };

/* The following functions define a simple programming environment that
   can be used for constructing user interface programs. Notice that there
   is no "main" program - the actual main program is defined in the 
   underlying library code.
*/

void OnStart(void);
void OnMouseEvent(char *frame, int x, int y, int buttonState);
void OnTimerEvent(char* clockName);
void OnPaint(void);
void OnPush(char* buttonName);

#endif
